<#assign self_content>
    /**
     * meditview9状态下发变量
     *
     * @memberof ${srfclassname('${view.name}')}Base
     */
    @Prop() public panelState?: Subject<ViewState>;

    /**
     * meditview9状态事件
     *
     * @public
     * @type {(Subscription | undefined)}
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public panelStateEvent: Subscription | undefined;

     <#if  view.hasPSControl('lefttoolbar')>
        <#assign lefttoolbar = view.getPSControl('lefttoolbar')>
        <@ibizindent blank=8>
            ${P.getCtrlCode(lefttoolbar,'CONTROL.ts').code}
        </@ibizindent>
    </#if>

    <#if  view.hasPSControl('righttoolbar')>
        <#assign righttoolbar = view.getPSControl('righttoolbar')>
        <@ibizindent blank=8>
            ${P.getCtrlCode(righttoolbar,'CONTROL.ts').code}
        </@ibizindent>
    </#if>
</#assign>
<#assign created_block>
if (this.panelState) {
    this.panelStateEvent = this.panelState.subscribe((res:any) => {
        if (Object.is(res.tag, 'meditviewpanel')) {
            if (Object.is(res.action, 'save')) {
                this.viewState.next({ tag:'form', action: 'save', data: res.data });
            }
            if (Object.is(res.action, 'remove')) {
                this.viewState.next({ tag:'form', action: 'remove', data: res.data });
            }
        }
    });
}
</#assign>
<#assign before_destroy_block>
    if (_this.panelStateEvent) {
        _this.panelStateEvent.unsubscribe();
    }
</#assign>
<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.template.ftl
</#ibizinclude>
// 基于 @VIEW/实体编辑视图（部件视图）/VIEW-BASE.vue.ftl 生成
<#ibizinclude>
../@MACRO/VIEW_HEADER-BASE.vue.ftl
</#ibizinclude>


<#ibizinclude>
../@MACRO/VIEW_CONTENT-BASE.vue.ftl
</#ibizinclude>


<#ibizinclude>
../@MACRO/VIEW_BOTTOM-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW-BASE.style.ftl
</#ibizinclude>